Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Name:		kpowersave
Summary:	KPowersave, the KDE front-end to powersave
Version:	0.7.3
Release:	1
License:	GNU/GPL
URL:		http://powersave.sourceforge.net/kpowersave/
Source:		%{name}-%{version}.tar.bz2
Group:		System/Configuration/Hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt-devel kdelibs-devel dbus-devel hal-devel pkgconfig
BuildRequires:	libX11-devel libXext-devel libXrender-devel 
BuildRequires:	libXtst-devel libacl-devel fam-devel dbus-qt3-devel
BuildRequires:  unsermake

%description
Use KPowersave, the KDE front-end to powersave, to control
power management and monitor your laptop battery strength.
For example, you can configure the screen on your laptop
to turn off if the computer is not used for a specified
amount of time, extending battery life.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_kdedir

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_kdedir/bin/kpowersave
%_kdedir/lib/kde3/kpowersave.la
%_kdedir/lib/kde3/kpowersave.so
%_kdedir/lib/libkdeinit_kpowersave.la
%_kdedir/lib/libkdeinit_kpowersave.so
%_kdedir/share/applications/kde/kpowersave.desktop
%_kdedir/share/apps/kpowersave/eventsrc
%_kdedir/share/apps/kpowersave/icons
%_kdedir/share/icons/hicolor/??x??/apps/kpowersave.png
%_kdedir/share/autostart/kpowersave-autostart.desktop
%_kdedir/share/config/kpowersaverc
%_kdedir/share/doc
%_kdedir/share/locale
    
%changelog
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.7.3-1
- Version update
* Sun Jun 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.7.2-1
- Initial build
